Package org.eclipse.birt.report.model.api.command

# Class CustomMsgException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.CustomMsgException

All Implemented Interfaces:
  `Serializable`

public class CustomMsgException extends SemanticException
Reports an error during a user-defined message operation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_DUPLICATE_LOCALE`
Duplicated locale for one single message.
`static final String`
`DESIGN_EXCEPTION_INVALID_LOCALE`
Invalid locale.
`static final String`
`DESIGN_EXCEPTION_RESOURCE_KEY_REQUIRED`
The resource key must be specified for the Translation.
`static final String`
`DESIGN_EXCEPTION_TRANSLATION_NOT_FOUND`
translation is not found in the report.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CustomMsgException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)`
Constructs the exception with error code.
`CustomMsgException(org.eclipse.birt.report.model.core.DesignElement element, String resourceKey, String locale, String errCode)`
Constructs the exception with error code.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_RESOURCE_KEY_REQUIRED

public static final String DESIGN_EXCEPTION_RESOURCE_KEY_REQUIRED
The resource key must be specified for the Translation.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_LOCALE

public static final String DESIGN_EXCEPTION_DUPLICATE_LOCALE
Duplicated locale for one single message.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_LOCALE

public static final String DESIGN_EXCEPTION_INVALID_LOCALE
Invalid locale.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TRANSLATION_NOT_FOUND

public static final String DESIGN_EXCEPTION_TRANSLATION_NOT_FOUND
translation is not found in the report.

See Also:
  - Constant Field Values

## Constructor Details

### CustomMsgException

public CustomMsgException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)
Constructs the exception with error code.

Parameters:
  `element` - the element
  `errCode` - the error code

### CustomMsgException

public CustomMsgException(org.eclipse.birt.report.model.core.DesignElement element, String resourceKey, String locale, String errCode)
Constructs the exception with error code.

Parameters:
  `element` - the element
  `resourceKey` - the resource key which is involved in this exception
  `locale` - the locale which is involved in this exception
  `errCode` - the error code

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`